"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : new P(function (resolve) { resolve(result.value); }).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const testing_1 = require("@seagull/testing");
const chai_1 = require("chai");
const mocha_typescript_1 = require("mocha-typescript");
const src_1 = require("../../src");
let Test = class Test extends testing_1.BasicTest {
    before() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.before.bind(this)();
        });
    }
    after() {
        return __awaiter(this, void 0, void 0, function* () {
            yield testing_1.BasicTest.prototype.after.bind(this)();
        });
    }
    'can get env variables from valid file'() {
        return __awaiter(this, void 0, void 0, function* () {
            const env = { A: '123', BC: 5 };
            const config = `ABC=456`;
            const newEnv = src_1.addEnvFromFile(env, config);
            chai_1.expect(newEnv.A).to.be.equals('123');
            chai_1.expect(newEnv.BC).to.be.equals(5);
            chai_1.expect(newEnv.ABC).to.be.equals('456');
        });
    }
    'can get env variables from valid file with multiple lines'() {
        return __awaiter(this, void 0, void 0, function* () {
            const env = { A: '123', BC: 5 };
            const config = `ABC=456
DEF=999`;
            const newEnv = src_1.addEnvFromFile(env, config);
            chai_1.expect(newEnv.A).to.be.equals('123');
            chai_1.expect(newEnv.BC).to.be.equals(5);
            chai_1.expect(newEnv.ABC).to.be.equals('456');
            chai_1.expect(newEnv.DEF).to.be.equals('999');
        });
    }
    'can get env variables from valid file with multiple and empty lines'() {
        return __awaiter(this, void 0, void 0, function* () {
            const env = { A: '123', BC: 5 };
            const config = `ABC=456

DEF=999`;
            const newEnv = src_1.addEnvFromFile(env, config);
            chai_1.expect(newEnv.A).to.be.equals('123');
            chai_1.expect(newEnv.BC).to.be.equals(5);
            chai_1.expect(newEnv.ABC).to.be.equals('456');
            chai_1.expect(newEnv.DEF).to.be.equals('999');
        });
    }
    'can get env variables from valid file with invalid lines'() {
        return __awaiter(this, void 0, void 0, function* () {
            const env = { A: '123', BC: 5 };
            const config = `ABC=

DEF=999
=1111`;
            const newEnv = src_1.addEnvFromFile(env, config);
            chai_1.expect(newEnv.A).to.be.equals('123');
            chai_1.expect(newEnv.BC).to.be.equals(5);
            chai_1.expect(newEnv.ABC).to.be.equals(undefined);
            chai_1.expect(newEnv.DEF).to.be.equals('999');
        });
    }
    'can get env variables from valid file line with multiple ='() {
        return __awaiter(this, void 0, void 0, function* () {
            const env = { A: '123', BC: 5 };
            const config = `ABC=

DEF=999=2223
=1111`;
            const newEnv = src_1.addEnvFromFile(env, config);
            chai_1.expect(newEnv.A).to.be.equals('123');
            chai_1.expect(newEnv.BC).to.be.equals(5);
            chai_1.expect(newEnv.ABC).to.be.equals(undefined);
            chai_1.expect(newEnv.DEF).to.be.equals('999=2223');
        });
    }
};
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get env variables from valid file", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get env variables from valid file with multiple lines", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get env variables from valid file with multiple and empty lines", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get env variables from valid file with invalid lines", null);
__decorate([
    mocha_typescript_1.test,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", []),
    __metadata("design:returntype", Promise)
], Test.prototype, "can get env variables from valid file line with multiple =", null);
Test = __decorate([
    mocha_typescript_1.suite('AddEnvFromFile')
], Test);
exports.Test = Test;
//# sourceMappingURL=add_env_from_file.js.map